# Foundation Patterns

The Foundation Patterns theme is a subtheme of [Zurb Foundation](https://www.drupal.org/project/zurb_foundation) intended to implement Foundation components using [UI Patterns](https://www.drupal.org/project/ui_patterns). The primary purpose of this theme is to provide a way to quickly build using common patterns from the [Foundation framework](http://foundation.zurb.com/sites/docs/). Secondarily, it is also intended to provide examples of how to take advantage of patterns defined by the [UI Patterns module](https://www.drupal.org/project/ui_patterns) in a Drupal theme. Support for Pattern Libraries including [Pattern Lab](http://patternlab.io/) will also be provided.

#### Dependencies:

* [Zurb Foundation](https://www.drupal.org/project/zurb_foundation)
* [UI Patterns](https://www.drupal.org/project/ui_patterns) currently developing based on 8.x-1.x-dev
* [Component Libraries](https://www.drupal.org/project/components)

Installation:

After downloading the dependencies above and enabling the 'Foundation Patterns' theme under Appearance, enable at least the following modules:

* Components
* UI Patterns

At this point, the patterns defined in this theme will be available for use.  To see examples of the available patterns, enable the UI Patterns Library Module. Depending on how you intend to leverage these patterns, you may also want to enable some of the other supporting UI Patterns modules.